Jump to content

Aquagen

Użytkownicy
  • Content Count

    33
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Aquagen

  • Rank
    Użytkownik
  1. Aquagen

    Problem Z Spring Tool Suite

    Chyba można już zakończyć ten wątek. Na forum Springa odpowiedzieli mi, że mam się nie przejmować tymi błędami i wszystko CHYBA jest w porządku (też dobre tłumaczenie - są błędy, ale wszystko jest OK). Nie przekonała mnie ta argumentacja, więc zrezygnowałem z STSa.
  2. Aquagen

    Problem Z Spring Tool Suite

    Witam Mam problem ze Springiem. Po przeinstalowaniu systemu do Fedory 17 (3.4.6-2.fc17.x86_64) zainstalowalem Spring Tool Suite w wersji 2.9.2 (uzylem springsource-tool-suite-2.9.2.RELEASE-e3.7.2-linux-gtk-x86_64-installer.sh) przy zainstalowanej Javie JDK SE 1.7.0_05 ( Java™ SE Runtime Environment (build 1.7.0_05-b06), Java HotSpot™ 64-Bit Server VM (build 23.1-b03, mixed mode) ). Niestety po samym uruchomieniu STSa w terminalu wypisuje mi blad [Fatal Error] :1:1: Premature end of file., ale moge po tym normalnie stworzyc najprostszy projekt Javy. Przy próbie uruchomienia tego z STSa wypisuje mi takie bledy: [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/refactoring/PushInRefactoringAction.java::0 class 'org.eclipse.ajdt.internal.ui.refactoring.PushInRefactoringAction' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/cuprovider/CompilationUnitProviderAspect.aj::0 class 'org.eclipse.contribution.jdt.cuprovider.CompilationUnitProviderAspect' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/codeconversion/AJSourceIndexerRequestor.java::0 class 'org.eclipse.ajdt.core.codeconversion.AJSourceIndexerRequestor' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/editor/AdviceActionDelegate.java::0 class 'org.eclipse.ajdt.internal.ui.editor.AdviceActionDelegate' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/refactoring/pullout/PullOutRefactoringAction.java::0 class 'org.eclipse.ajdt.internal.ui.refactoring.pullout.PullOutRefactoringAction' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/refactoring/pullout/PullOutRefactoring.java::0 class 'org.eclipse.ajdt.internal.ui.refactoring.pullout.PullOutRefactoring' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/AspectElement.java::0 class 'org.eclipse.ajdt.core.javaelements.AspectElement' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/itdawareness/ITDAwarenessAspect.aj::0 class 'org.eclipse.contribution.jdt.itdawareness.ITDAwarenessAspect' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/ui/AJDTNameEnvironmentProvider.java::0 class 'org.eclipse.ajdt.ui.AJDTNameEnvironmentProvider' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/codeconversion/ITDAwareNameEnvironment.java::0 class 'org.eclipse.ajdt.core.codeconversion.ITDAwareNameEnvironment' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/refactoring/SelectionUtil.java::0 class 'org.eclipse.ajdt.internal.ui.refactoring.SelectionUtil' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/editor/quickfix/QuickFixProcessor.java::0 class 'org.eclipse.ajdt.internal.ui.editor.quickfix.QuickFixProcessor' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/launching/AspectJApplicationLaunchShortcut.java::0 class 'org.eclipse.ajdt.internal.launching.AspectJApplicationLaunchShortcut' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/itdawareness/MatchLocationManipulatorAspect.aj::0 class 'org.eclipse.contribution.jdt.itdawareness.MatchLocationManipulatorAspect' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/internal/core/search/AJDTSearchProvider.java::0 class 'org.eclipse.ajdt.internal.core.search.AJDTSearchProvider' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/itdawareness/SearchHooksAspect.aj::0 class 'org.eclipse.contribution.jdt.itdawareness.SearchHooksAspect' is already woven and has not been built in reweavable mode Czy ktos moze wie co moze powodowac te bledy? Dodam, ze na Fedorze 16 z Java 1.7(chyba 0_03 a nie 05) Spring dzialal poprawnie, przy czym nie jestem pewien wersji STSa. Nawet jesli byla to wersja 2.9.1 a nie 2.9.2, to obie sa oparte na tym samym Eclipsie 3.7.2. Pozdrawiam i z góry dziekuje za odpowiedz P.S. W miedzyczasie próbowalem na Javie 1.6.0_33 obu wersji STS (obecna 2.9.2 i poprzedniej 2.9.1) i w dalszym ciagu dostaje bledy. W przypadku STS 2.9.1 sa to: [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/IsWovenTester.aj::0 class 'org.eclipse.contribution.jdt.IsWovenTester' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/IsWovenTester.aj::0 class 'org.eclipse.contribution.jdt.IsWovenTester$WeavingMarker' is already woven and has not been built in reweavable mode Creating instance 'spring-insight-instance' ... Using separate layout Creating bin/setenv.sh Applying template 'base' Copying template's contents Applying fragment 'context-fragment.xml' to 'conf/context.xml' Applying fragment 'server-fragment.xml' to 'conf/server.xml' Applying fragment 'web-fragment.xml' to 'conf/web.xml' Applying fragment 'tomcat-users-fragment.xml' to 'conf/tomcat-users.xml' Applying fragment 'catalina-fragment.properties' to 'conf/catalina.properties' Applying template 'base-tomcat-7' Copying template's contents [Fatal Error] :1:1: Premature end of file. Applying fragment 'server-fragment.xml' to 'conf/server.xml' Applying fragment 'web-fragment.xml' to 'conf/web.xml' Applying fragment 'catalina-fragment.properties' to 'conf/catalina.properties' Applying template 'insight' Copying template's contents Applying fragment 'context-fragment.xml' to 'conf/context.xml' Applying fragment 'server-fragment.xml' to 'conf/server.xml' Applying template 'bio' Copying template's contents Applying fragment 'server-fragment.xml' to 'conf/server.xml' Configuring instance 'spring-insight-instance' to use Tomcat version 7.0.25.B.RELEASE Setting permissions Instance created Connector summary Port: 8080 Type: Blocking IO Secure: false [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/imagedescriptor/ImageDescriptorSelectorAspect.aj::0 class 'org.eclipse.contribution.jdt.imagedescriptor.ImageDescriptorSelectorAspect' is already woven and has not been built in reweavable mode [org.eclipse.contribution.weaving.jdt] error at org/eclipse/contribution/jdt/sourceprovider/SourceTransformerAspect.aj::0 class 'org.eclipse.contribution.jdt.sourceprovider.SourceTransformerAspect' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/resources/AJImageDescriptorSelector.java::0 class 'org.eclipse.ajdt.internal.ui.resources.AJImageDescriptorSelector' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/internal/core/CompilerConfigResourceChangeListener.java::0 class 'org.eclipse.ajdt.internal.core.CompilerConfigResourceChangeListener' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/ras/FFDC.aj::0 class 'org.eclipse.ajdt.core.ras.FFDC' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/internal/core/ras/CoreFFDC.aj::0 class 'org.eclipse.ajdt.internal.core.ras.CoreFFDC' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/ras/PluginFFDC.aj::0 class 'org.eclipse.ajdt.core.ras.PluginFFDC' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/model/AJProjectModelFacade.java::0 class 'org.eclipse.ajdt.core.model.AJProjectModelFacade' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/builder/AJBuilder.java::0 class 'org.eclipse.ajdt.core.builder.AJBuilder' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/internal/core/ajde/CoreCompilerConfiguration.java::0 class 'org.eclipse.ajdt.internal.core.ajde.CoreCompilerConfiguration' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/ui/AspectJUIPlugin.java::0 class 'org.eclipse.ajdt.ui.AspectJUIPlugin' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/ras/UIFFDC.aj::0 class 'org.eclipse.ajdt.internal.ui.ras.UIFFDC' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/builder/UIBuildListener.java::0 class 'org.eclipse.ajdt.internal.builder.UIBuildListener' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/javamodel/AJCompilationUnitResourceChangeListener.java::0 class 'org.eclipse.ajdt.internal.javamodel.AJCompilationUnitResourceChangeListener' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/EnsureAJBuilder.java::0 class 'org.eclipse.ajdt.internal.ui.EnsureAJBuilder' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/preferences/AspectJPreferences.java::0 class 'org.eclipse.ajdt.internal.ui.preferences.AspectJPreferences' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/preferences/AJCompilerPreferencePage.java::0 class 'org.eclipse.ajdt.internal.ui.preferences.AJCompilerPreferencePage' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/AJCompilationUnitManager.java::0 class 'org.eclipse.ajdt.core.javaelements.AJCompilationUnitManager' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/utils/AJDTUtils.java::0 class 'org.eclipse.ajdt.internal.utils.AJDTUtils' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/AJCodeElement.java::0 class 'org.eclipse.ajdt.core.javaelements.AJCodeElement' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/DeclareElement.java::0 class 'org.eclipse.ajdt.core.javaelements.DeclareElement' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/AspectJMemberElement.java::0 class 'org.eclipse.ajdt.core.javaelements.AspectJMemberElement' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.core] error at org/eclipse/ajdt/core/javaelements/IntertypeElement.java::0 class 'org.eclipse.ajdt.core.javaelements.IntertypeElement' is already woven and has not been built in reweavable mode [org.eclipse.ajdt.ui] error at org/eclipse/ajdt/internal/ui/actions/OpenTypeAction.java::0 class 'org.eclipse.ajdt.internal.ui.actions.OpenTypeAction' is already woven and has not been built in reweavable mode Unexpected error loading extension: org.eclipse.equinox.p2.metadata.repository.simpleRepository java.lang.IllegalStateException: Attempt to access stopped agent: org.eclipse.equinox.internal.p2.core.ProvisioningAgent@7110e9f7 at org.eclipse.equinox.internal.p2.core.ProvisioningAgent.checkRunning(ProvisioningAgent.java:85) at org.eclipse.equinox.internal.p2.core.ProvisioningAgent.getService(ProvisioningAgent.java:49) at org.eclipse.equinox.internal.p2.metadata.repository.LocalMetadataRepository.publishRepositoryReferences(LocalMetadataRepository.java:187) at org.eclipse.equinox.internal.p2.metadata.repository.LocalMetadataRepository.initialize(LocalMetadataRepository.java:180) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryIO$Parser$RepositoryHandler.finished(MetadataRepositoryIO.java:327) at org.eclipse.equinox.internal.p2.persistence.XMLParser$AbstractHandler.endElement(XMLParser.java:178) at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(AbstractSAXParser.java:601) at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanEndElement(XMLDocumentFragmentScannerImpl.java:1782) at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(XMLDocumentFragmentScannerImpl.java:2939) at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(XMLDocumentScannerImpl.java:647) at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.next(XMLNSDocumentScannerImpl.java:140) at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:511) at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:808) at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:737) at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:119) at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1205) at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(SAXParserImpl.java:522) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryIO$Parser.parse(MetadataRepositoryIO.java:209) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryIO.read(MetadataRepositoryIO.java:63) at org.eclipse.equinox.internal.p2.metadata.repository.SimpleMetadataRepositoryFactory.load(SimpleMetadataRepositoryFactory.java:107) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:749) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:651) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.addChild(CompositeMetadataRepository.java:165) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.<init>(CompositeMetadataRepository.java:105) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepositoryFactory.load(CompositeMetadataRepositoryFactory.java:122) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:749) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:651) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.getAvailableRepositories(UpdateChecker.java:150) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.checkForUpdates(UpdateChecker.java:128) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker$UpdateCheckThread.run(UpdateChecker.java:72) Unexpected error loading extension: org.eclipse.equinox.p2.metadata.repository.compositeRepository java.lang.IllegalStateException: BundleContext is no longer valid at org.eclipse.osgi.framework.internal.core.BundleContextImpl.checkValid(BundleContextImpl.java:931) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.getServiceReference(BundleContextImpl.java:528) at org.eclipse.equinox.internal.p2.core.helpers.ServiceHelper.getService(ServiceHelper.java:63) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.getPreferences(AbstractRepositoryManager.java:495) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.restoreFromPreferences(AbstractRepositoryManager.java:940) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.restoreRepositories(AbstractRepositoryManager.java:997) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.removeRepository(AbstractRepositoryManager.java:909) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:667) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.addChild(CompositeMetadataRepository.java:165) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.<init>(CompositeMetadataRepository.java:105) at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepositoryFactory.load(CompositeMetadataRepositoryFactory.java:122) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:749) at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:651) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96) at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.getAvailableRepositories(UpdateChecker.java:150) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.checkForUpdates(UpdateChecker.java:128) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker$UpdateCheckThread.run(UpdateChecker.java:72) No repository found at http://download.eclipse.org/releases/indigo. Exception in update check thread java.lang.IllegalStateException: Attempt to access stopped agent: org.eclipse.equinox.internal.p2.core.ProvisioningAgent@7110e9f7 at org.eclipse.equinox.internal.p2.core.ProvisioningAgent.checkRunning(ProvisioningAgent.java:85) at org.eclipse.equinox.internal.p2.core.ProvisioningAgent.getService(ProvisioningAgent.java:49) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.getPlanner(UpdateChecker.java:172) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker.checkForUpdates(UpdateChecker.java:134) at org.eclipse.equinox.internal.p2.updatechecker.UpdateChecker$UpdateCheckThread.run(UpdateChecker.java:72)
  3. Dzieki sokar620 i SeeM. Udalo mi sie zainstalowac poprzez basic video driver. Jedynie dziwi mnie, ze wybranie trybu basic video przeprowadzilo standardowa graficzna instalacje. Spodziewalem sie trybu tekstowego albo przynajmniej zredukowanej jakosci grafiki, ale instalacja wygladala tak samo jak na innych moich maszynach, dla których powyzszy problem nie wystepowal.
  4. Witam Chciałem zainstalować Fedorę 17 (pełna wersja DVD), ale w graficznym instalatorze dochodzę do pierwszego ekranu (pusta forma, wyszarzony przycisk Dalej) i nie mogę rozpocząć instalacji. Z tej samej płytki zainstalowałem Fedorę na laptopie bez żadnych problemów. Dodam, że na tym komputerze instalowałem bez problemu wszystkie Fedory do 14 włącznie (15 i 16 nie próbowałem). Jak mogę dowiedzieć się co jest nie tak z tą instalacją i czy jest to wina braku jakiś sterowników? Z góry dziękuję za pomoc i pozdrawiam
  5. Aquagen

    Prośba O Sprawdzenie Prostej Sieci Neuronowej

    Sam sobie poradzilem. thof Tak, to jest mój program. Wzory i oznaczenia mam z labów. Prowadzacy laby przepisal je chyba z jakiejs ksiazki czy wykladu, wiec mogles widziec je gdzies wczesniej w jakims skrypcie lub ksiazce. To co nie wiedzialem, to brak wyczucia przy doborze wspólczynników i liczylem na komentarz typu: eta poczatkowe ma byc o rzad mniejsze a eta koncowe nie wiecej niz 10e-4, liczba iteracji pare milionów etc. Swoja droga, to co musialem poprawic to nie tylko wartosci eta i liczba iteracji, ale tez przestrzelilem przy losowaniu poczatkowych wartosci.
  6. Witam Mam mały problem ze skryptem z sieci neuronowych (to jest mój pierwszy program z ANN) i miałbym prośbę o wskazówkę jak wyuczyć poniższą sieć: 1. Mam sieć złożoną z węzłów: wejściowego in, wyjściowego out oraz 8 neuronów n_1, ..., n_8. 2. Dla każdego neuronu mam takie połączenia: in -> n_i z wagą w_i oraz bias równe u_i . n_i -> out z wagami v_i oraz bias dla out równe v_0 3. Chcę wyuczyć taką sieć następującej funkcji 0->1, 1->0, 2->0, 3->1. 4. Korzystam z funkcji sigmoidalnej: sigma = function(x) (1 / (1 + exp(- x * beta))) # Beta stałe 5. Początkowe wartości wektorów w, v, u oraz liczbę v0 losuję: w = sample(seq(-10, 10, by = 0.1), n, replace = FALSE) u = sample(seq(-10, 10, by = 0.1), n, replace = FALSE) v = sample(seq(-10, 10, by = 0.1), n, replace = FALSE) v0 = sample(seq(0, 10), 1) 6. Sieć trenuję za pomocą następującej funkcji: train = function(argument, value, eta) { h <- sigma(w * argument - u) o <- sigma(sum(v * h) - v0) d0 <- o * (1 - o) * (value - o) dh <- h * (1 - h) * v * d0 dv <- eta * d0 * h dv0 <- - eta * d0 dw <- eta * dh * argument du <- - eta * dh w <<- w + dw u <<- u + du v <<- v + dv v0 <<- v0 + dv0 } 7. Moje pytanie jest następujące: jak powinienem wytrenować tą sieć i dobrać współczynniki beta oraz eta? Do tej pory próbowałem wybierać beta = 1, ..., 10 oraz trenować poprzez for (eta in seq(0.7, 0.0001, by = -0.000001) {...} , ale coś nie działa. Z góry dziękuję za pomoc i pozdrawiam
  7. Dziękuję bardzo, thof. Całkowicie o tym zapomniałem.
  8. Witam Chciałem zainstalować Fedorę 16 32bit na laptopie HP ProBook 6550b, na którym jest już Windows 7 (bez usuwania go). Przy instalacji z opcją użyj wolne miejsce na dysku twierdzi, że nie ma wystarzającego miejsca. Pod Windowsem w Zarządzaniu Dyskami mam następujący podział: 1. Mała partycja boot od Win ok. 300MB. 2. Partucja C z ponad 448 GB wolnego miejsca. 3. Partycja restore systemu (chyba ok. 15GB) 4. Partycja z narzędziami (ok. 2GB) Zmiejszyłem rozmiar partycji C i pozostało mi 75GB wolengo nieprzydzielonego miejsca (zaraz po C). Na tym obszarze chciałem instalować Fedorę, ale instalator jakby nie widzi tego wolnego miejsca. Jak zainstalować Fedorę na tym dysku? Czy to, że nieprzydzielone miejsce występuje "w środku" (pomiędzy innymi partycjami) ma znaczenie? Próbowałem zaznaczać i odznaczać LVM, bezskutecznie. Z góry dziękuję za pomoc i pozdrawiam Pozdrawiam Adam
  9. Witam W firmie muszę postawić serwer HP pod IFSa (ale to nie ma znaczenia, IFSowi jest wszystko jedno). Zależy mi na stabilności systemu jak i na koszcie rozumianym przede wszystkim NIE jako zakup licencji etc., ale koszcie późniejszego supportu. Proszę ekspertów z tego forum o szczere porównanie tych dwóch rozwiązań. Nie chodzi mi o przytaczanie materiałów reklamowych typu http://www.redhat.com/migrate/unix_to_linux/hpux-to-rhel/ , ale najlepiej o opinię kogoś kto miał styczność z oboma rozwiązaniami. Ogólnie serce podpowiada mi wybór RHELa, ale z drugiej strony system ma działać na maszynie HP, więc ich system na pewno jest w pełni kompatybilny ze sprzętem. Szczerze powiedziawszy obawiam się 2 rzeczy: 1. Przy HP każda najmiejsza poprawka będzie bardzo słono kosztowała, ale wszystkie problemy rozwiążą szybko. 2. RHEL policzy sobie dużo mniej, ale jeżeli będę chciał wprowadzić jakieś zmiany np. dołączyć zupełnie nowe macierze dyskowe HP, to support RH będzie zdany na informacje odpowiednio odfiltrowane przez HP. Pozdrawiam i z góry dziękuję za odpowiedź
  10. Pytanie nie jest juz aktualne. Sam wymyslilem jak dodac niedeterminizm do DLX'a. Niepotrzbnie losowalem kolumne (cel), podczas gdy trzeba randomizowac wiersze w kolumnie (sposób rozwiazania).
  11. Witam Rozwiązuję standardowe Sudoku za pomocą algorytmu DLX (Backtracking + Dancing Links Knutha) poprzez sprowadzenie do problemu Exact Cover. Moja wersja DLX jest deterministyczna i np. przy wypełnianiu pustej planszy za każdym razem dostaję to samo wypełnienie. Potrzebuję zmodyfikować algorytm tak, aby poproszony o rozwiązanie zagadki wygenerował losowe rozwiązanie. Próbowałem losować wybór następnej tzw. "kolumny" (zobowiązania do pokrycia), ale ciągle dostaję taki sam wynik. Jak mogę dodać do tego algorytmu losowość? Z góry dziękuję za pomoc
  12. Aquagen

    Squeak Smalltalk

    Witam Obecnie chcę poznać język Smalltalk i wybrałem środowisko Squeak. Mam problem z uruchomieniem całego IDE dostarczonego w postaci Squeak 4.2 All-In-One. Próba odpalenia skryptu ./squeak.sh kończy się wyświetleniem poniższego komunikatu: Running 32-bit Squeak on a 64-bit System. Hope the 32-bit runtime libraries are installed ... /usr/bin/padsp: /home/Adam/squeak/Squeak 4.2 All-in-One.app/Contents/Linux-i686/lib/squeak/4.4.7-2357/squeakvm: /lib/ld-linux.so.2: bad ELF interpreter: Nie ma takiego pliku ani katalogu /usr/bin/padsp: line 86: /home/Adam/squeak/Squeak 4.2 All-in-One.app/Contents/Linux-i686/lib/squeak/4.4.7-2357/squeakvm: Sukces Mam zainstalowaną Fedorę 14, dokładniej jądro: 2.6.35.13-91.fc14.x86_64 . Mam zainstalowany squeak VM w następującej wersji: 3.10-5 #1 Mon Jun 21 22:10:08 UTC 2010 gcc 4.4.4 Squeak3.10beta of 22 July 2007 [latest update: #7159] Linux x86-04.phx2.fedoraproject.org 2.6.18-194.3.1.el5 #1 SMP Sun May 2 04:17:42 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux default plugin location: /usr/lib64/squeak/3.10-5/*.so Dodam, że nie mogę w moim systemie nigdzie znaleźć pliku ld-linux.so.2 . Jak w takiej sytuacji zainstalować/odpalić środowisko dla Squeak'a. Z góry dziękuję za pomoc. Pozdrawiam Adam P.S. Sugerujecie może jakieś książki / tutoriale do nauki Smalltalka. Co sądzicie o przydatności Squeak by Example i Smalltalk-80 Bluebook (potrzebuję poznać Smalltalk w 2-3 dni).
  13. Zabiłem Netwok Managera i rzeczywiście pomogło (jeżeli tak to można nazwać ). Teraz po włożeniu karty system NIE zamiera. Jest postęp.
  14. Na poczatku wybralem komponent kernel, ale szybko sie z tego wycofalem, bo wydaje mi sie, ze to bardziej w strone sterowników. Swoja droga najbardziej zastanawia brak firmware'u, bo ludzie majacy troche inny (ale podobny chipset) musieli pod Fedora kopiowac to zes strony producenta.
  15. Dziekuje Wam thof i WalDo. Zglosilem problem na bugzilli. Tu mam chyba ostatnie pytanie dotyczace tego problemu. Przy zglaszaniu buga musialem wybrac komponent, którego dotyczy problem. To jest moje pierwsze zgloszenie na bugzille Red Hata i nie jestem pewien czy dobrze przyporzadkowalem blad. Raczej jestem prawie pewien, ze NIE jest to dobre przyporzadkowanie. Wybralem wireless-tools. Na jaka kategorie Wy byscie zmienili (bug # 678024)?
×